Subject: [PATCHv2 1/1] mtd: gpmi: make blockmark swapping optional

From: [email-masked] (Huang Shijie)
Date: Fri, 28 Mar 2014 16:39:00 +0800

? 2014?03?28? 16:16, Lothar Wa?mann ??:
> Still there is no need for the Linux NAND driver to be able to read or
> write partitions in a format that the Boot ROM can understand. Thus it
If you do not use the NAND boot, there really no need to do so.

Since you need the NAND boot, we should enable the swapping for imx28.
> is perfectly legal to allow disregarding the BB marks and solely rely on
> a flash based BBT.
>
The BB mark is in the page 0 of a NAND block. But the swapping can occur 
in _each_ page of
a NAND block, _NOT_ only the page 0.

I think you are confusing at these two things.

thanks
Huang Shijie